# Maintainer: tioguda <guda.flavio@gmail.com>

_pkgname=anbox
pkgbase=anbox-modules
_linuxprefix=linux-xanmod-lts
_extramodules=extramodules-5.10-xanmod
pkgname=${_linuxprefix}-${_pkgname}
xanmod=1
pkgver=5.10.44.xanmod1_1
pkgrel=1
pkgdesc='Required kernel module sources for Android'
arch=('x86_64')
url="https://github.com/anbox/${pkgbase}"
license=('custom')
makedepends=("$_linuxprefix" "$_linuxprefix-headers")
provides=("${pkgbase}=${pkgver}")
conflicts=("${pkgbase}-dkms" "${pkgbase}-dkms-git")
groups=("$_linuxprefix-extramodules")
install="${pkgbase}.install"
source=()
sha512sums=()

pkgver() {
    _ver=$(pacman -Q $_linuxprefix | cut -d " " -f 2 | cut -f1-2 -d'-')
    printf "%s" "${_ver/-/_}"
}

package() {
    _ver=$(pacman -Q $_linuxprefix | cut -d " " -f 2)
    depends=("${_linuxprefix}=${_ver}" 'anbox-image')
    replaces=("linux510-xanmod-${_pkgname}")

    _kernver="$(cat /usr/lib/modules/${_extramodules}/version)"
    sed -i "s:KERNELVER=.*:KERNELVER=${_kernver}:" "${startdir}/${pkgbase}.install"
}

